package com.test.tests;

import static org.junit.Assert.assertTrue;

import java.io.IOException;
import java.net.URISyntaxException;

import org.eclipse.emf.ecore.EObject;
import org.junit.Test;

import com.test.util.ModelLoader;

public class TestLoading {
	
	//Throws some errors due evaluated ocl pivont constraints
	@Test
	public void  testModelWithPivotConstraint(){
		try {
			ModelLoader.loadModel("com.test.model", "model/ClassA.xmi");
		} catch (IOException e) {
			e.printStackTrace();
		} catch (URISyntaxException e) {
			e.printStackTrace();
		}
		//do some unrelevant stuff here
	}
	
	//Working no errors
	@Test
	public void testModelLoadingWithoutPivotConstriant(){
		try {
			ModelLoader.loadModel("com.test.model" ,"model/example.ecore");
		} catch (IOException e) {
			e.printStackTrace();
		} catch (URISyntaxException e) {
			e.printStackTrace();
		}
		//do some unrelevant stuff here
	}

}
